GStreamer::Pipeline(3)

NAME
GStreamer::Pipeline

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Element
            +----GStreamer::Bin
                 +----GStreamer::Pipeline

INTERFACES
  GStreamer::ChildProxy

METHODS

  element = GStreamer::Pipeline->new ($name)

•   $name (string or undef)

  $pipeline->auto_clock

  bus = $pipeline->get_bus

  clock = $pipeline->get_clock

  $pipeline->set_clock ($clock)

•   $clock (GStreamer::Clock)

  unsigned integer = $pipeline->get_last_stream_time

  $pipeline->set_new_stream_time ($time)

•   $time (unsigned integer)

  $pipeline->use_clock ($clock)

•   $clock (GStreamer::Clock)

PROPERTIES

'auto-flush-bus' (boolean : default true : readable / writable / private)
    Whether to automatically flush the pipeline's bus when going from READY into NULL state

'delay' (Glib::UInt64 : default 0 : readable / writable / private)
    Expected delay needed for elements to spin up to PLAYING in nanoseconds

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object, GStreamer::Element, GStreamer::Bin

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.